PR_GET_KEEPCAPS(2const)

NAME
PR_GET_KEEPCAPS - get the state of the "keep capabilities" flag

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_KEEPCAPS);

DESCRIPTION
Return the current state of the calling thread's "keep capabilities" flag. See capabilities(7) for a description of this flag.

RETURN VALUE
On success, this call returns the boolean value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 2.2.18.

SEE ALSO
signal(2), PR_SET_KEEPCAPS(2const)